Skip to content
Start here

Get dataset download URL

POST/radar/datasets/download

Retrieves an URL to download a single dataset.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
Query ParametersExpand Collapse
format: optional "JSON" or "CSV"

Format in which results will be returned.

One of the following:
"JSON"
"CSV"
Body ParametersJSONExpand Collapse
datasetId: number
ReturnsExpand Collapse
result: object { dataset }
dataset: object { url }
url: string

Get dataset download URL

curl https://api.cloudflare.com/client/v4/radar/datasets/download \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
    -d '{
          "datasetId": 3
        }'
{
  "result": {
    "dataset": {
      "url": "https://example.com/download"
    }
  }
}
Returns Examples
{
  "result": {
    "dataset": {
      "url": "https://example.com/download"
    }
  }
}